package com.nisum.targetfeedmanagementapi.controller;

import com.nisum.targetfeedmanagementapi.model.FeedPayload;
import com.nisum.targetfeedmanagementapi.model.VendorInfo;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@CrossOrigin(origins = "*")
@RequestMapping("/api")
@RestController
public class FeedManagementController {
    //private static final Logger logger = LoggerFactory.getLogger(FeedManagementController.class);


    @PostMapping("/processNow")
    public ResponseEntity<FeedPayload> sendFile(@RequestParam String path, @RequestParam String vendor) {


        FeedPayload feedPayload=new FeedPayload();
      // feedPayload.setFeed_Id("1000");
        feedPayload.setVendor("vendor");
        feedPayload.setPath("path");

      //  return  ResponseEntity.status(HttpStatus.OK).body(feedPayload);
        return  ResponseEntity.status(200).body(feedPayload);
       // return new ResponseEntity<FeedPayload>(feedPayload);

    }

//
    @GetMapping("/getVendors")
    public ResponseEntity<List<String>> getAllAvailableVendors() {
       List<String> vendors= new ArrayList<>();

        vendors.add("Facebook");
        vendors.add("Pinterest");
        vendors.add("Amazon");
        vendors.add("TikTok");
        vendors.add("Google");

        return new ResponseEntity<>(vendors, HttpStatus.OK);
    }
}
